NumericFDDomain
Keywords: yacs.domain.NumericFDDomain class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.domain
Class NumericFDDomain

    java.lang.Object
      yacs.domain.Domain
          yacs.domain.NumericFDDomain

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class NumericFDDomain
extends Domain

Klasse zur Repräsentation einer finiten Integer-Domäne.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)
See Also:
  Serialized Form

Constructor Summary
`NumericFDDomain()` Konstruktor -- Instantiiert eine Domäne mit numerischen FD-Elementen.
`NumericFDDomain(int value)` Konstruktor -- Die Domäne wird mit einem Wert (hier: `int`) instantiiert.
`NumericFDDomain(java.lang.Integer value)` Konstruktor -- Die Domäne wird mit einem Wert (hier: `Integer`) instantiiert.
`NumericFDDomain(int startValue, int endValue)` Konstruktor -- Erlaubt die vereinfachte Instantiierung einer FD-Domäne mit einem Wertebereich "von" (`startValue`) - "bis" (`endValue`).

Method Summary
`boolean` | `add(int value)` Vereinfacht das Hinzufügen von Elementen zu Domäne, indem lediglich ein `int`-Wert übergeben werden muss.
`boolean` | `add(java.lang.Integer value)` Vereinfacht das Hinzufügen von Elementen zu Domäne, indem lediglich ein `Integer`-Objekt übergeben werden muss.
`void` | `add(int startValue, int endValue)` Der Domäne wird ein Bereich "von" (`startValue`) - "bis" (`endValue`) hinzugefügt.
`boolean` | `contains(int value)` Vereinfachte Abfragemöglichkeit, ob ein Element mit einem bestimmten `int`-Wert in der Domäne enthalten ist.

Methods inherited from class yacs.domain.Domain
`add, clone, cloneDeep, containsElement, deleteElement, getElement, getElements, isEmpty, narrow, size, toString, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericFDDomain

    public NumericFDDomain()

  Konstruktor -- Instantiiert eine Domäne mit numerischen FD-Elementen.

### NumericFDDomain

    public NumericFDDomain(java.lang.Integer value)

  Konstruktor -- Die Domäne wird mit einem Wert (hier: `Integer`) instantiiert.

Parameters:
  `value` - Integer

### NumericFDDomain

    public NumericFDDomain(int value)

  Konstruktor -- Die Domäne wird mit einem Wert (hier: `int`) instantiiert.

Parameters:
  `value` - int

### NumericFDDomain

    public NumericFDDomain(int startValue,
                           int endValue)

  Konstruktor -- Erlaubt die vereinfachte Instantiierung einer FD-Domäne mit einem Wertebereich "von" (`startValue`) - "bis" (`endValue`).

Method Detail

### add

    public boolean add(java.lang.Integer value)

  Vereinfacht das Hinzufügen von Elementen zu Domäne, indem lediglich ein `Integer`-Objekt übergeben werden muss. Liefert `true` zurück, wenn dies erfolgreich war, `false` wenn nicht (Wert bereits vorhanden).

  Parameters:
    `value` - Integer
  Returns:
    boolean

### add

    public boolean add(int value)

  Vereinfacht das Hinzufügen von Elementen zu Domäne, indem lediglich ein `int`-Wert übergeben werden muss. Liefert `true` zurück, wenn dies erfolgreich war, `false` wenn nicht (Wert bereits vorhanden).

  Parameters:
    `value` - int
  Returns:
    boolean

### add

    public void add(int startValue,
                    int endValue)

  Der Domäne wird ein Bereich "von" (`startValue`) - "bis" (`endValue`) hinzugefügt.

  Parameters:
    `startValue` - int
    `endValue` - int

### contains

    public boolean contains(int value)

  Vereinfachte Abfragemöglichkeit, ob ein Element mit einem bestimmten `int`-Wert in der Domäne enthalten ist.

  Parameters:
    `value` - int
  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD